/** @type {import('tailwindcss').Config} */
export default {
  content: [
    "./index.html",
    "./src/**/*.{js,ts,jsx,tsx}",
  ],
  darkMode: 'selector',
  theme: {
    colors: {
      white: '#FFFFFF',
      black: '#000000',
      grey: '#979797',
      error: {
        DEFAULT: '#E5254B',
        dark: '#E5254B',
        surface: {DEFAULT: '#FCE9ED', dark: '#FCE9ED'}
      },
      onToast: {
        DEFAULT: '#646564',
        dark: '#646564',
      },
      warning: {
        DEFAULT: '#EA7000',
        dark: '#EA7000',
        surface: {DEFAULT: '#FDF1E5', dark: '#FDF1E5'}
      },
      success: {
        DEFAULT: '#038100',
        dark: '#038100',
        surface: {DEFAULT: '#E6F2E5', dark: '#E6F2E5'}
      },
      transparent: 'transparent',
      primary: {
        DEFAULT: '#008C46',
        dark: '#E6F4E1'
      },
      secondary: {
        DEFAULT: '#B1E1B3',
        dark: '#7DBD80',
        variant: {DEFAULT: '#80AE82', dark: '#5B875D'}
      },
      tertiary: {
        DEFAULT: '#f2f2df',
        dark: '#3d3d29',
      },
      surface: {
        DEFAULT: '#F6F6F6',
        dark: '#2d332d',
        variant: {DEFAULT: '#F4FFF4', dark: '#2b372c'}
      },
      
    },
    fontFamily: {
      display: ['Montserrat', 'sans-serif'],
      body: ['Rubik', 'Noto Sans','Noto Sans Bengali', 'sans-serif'],
    },
    extend: {
      borderWidth: {
        '3': '3px',
      },
      fontSize: {
        title: '40px',
      },
      keyframes: {
        slideIn: {
          '0%': { transform: 'translateX(100%)', opacity: '0' },
          '100%': { transform: 'translateX(0)', opacity: '1' },
        },
        fadeOut: {
          '0%': { opacity: '1' },
          '100%': { opacity: '0' },
        },
        loading: {
          '0%': { left: '-10%' },
          '30%': { width: '30%' },
          '80%': { width: '10%' },
          '100%': { left: '100%' },
        }
      },
    },
  },
  plugins: [
    function ({ addVariant }) {
      addVariant('second-last', '&:nth-last-child(2)');
    },
  ],
}

